### DB_ENV->memp_fcreate |

`

###

    #include <db.h>

    int
    DB_ENV->memp_fcreate(DB_ENV *dbenvp, DB_MPOOLFILE **dbmfp, u_int32_t flags);

### Description: DB_ENV->memp_fcreate

The DB_ENV->memp_fcreate method creates a DB_MPOOLFILE structure that is the handle for a Berkeley DB shared memory buffer pool file. A pointer to this structure is returned in the memory to which dbmfp refers. Calling the DB_MPOOLFILE->close method will discard the returned handle.

The DB_ENV->memp_fcreate method returns a non-zero error value on failure and 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.